# Modify this file as needed and copy it to .env

# https://gitlab.com/profile/personal_access_tokens
# Needed scope: api
export TF_HTTP_USERNAME=""
export TF_HTTP_PASSWORD=""

export TF_ADDRESS="https://gitlab.com/api/v4/projects/14640710/terraform/state/$(git branch --show-current)"
export TF_HTTP_ADDRESS="${TF_ADDRESS}"
export TF_HTTP_LOCK_ADDRESS="${TF_ADDRESS}/lock"
export TF_HTTP_LOCK_METHOD="POST"
export TF_HTTP_UNLOCK_ADDRESS="${TF_ADDRESS}/lock"
export TF_HTTP_UNLOCK_METHOD="DELETE"
export TF_HTTP_RETRY_WAIT_MIN="5"

terraform init --reconfigure
